### Function

# Cogl TextureForeachCallback

#### Declaration

    void
    (* CoglTextureForeachCallback) (
      CoglTexture* sub_texture,
      const float* sub_texture_coords,
      const float* meta_coords,
      void* user_data
    )

#### Description [src]

A callback used with `cogl_texture_foreach_in_region()` to retrieve details of all the low-level `CoglTexture`s that make up a given `CoglTexture`.

#### Parameters

`sub_texture`

  Type: `CoglTexture`

  A low-level `CoglTexture` making up part of a `CoglTexture`.

  The data is owned by the caller of the function.

`sub_texture_coords`

  Type: `const float*`

  A float 4-tuple ordered like (tx1,ty1,tx2,ty2) defining what region of the current `sub_texture` maps to a sub-region of a `CoglTexture`. (tx1,ty1) is the top-left sub-region coordinate and (tx2,ty2) is the bottom-right. These are low-level texture coordinates.

  The data is owned by the caller of the function.

`meta_coords`

  Type: `const float*`

  A float 4-tuple ordered like (tx1,ty1,tx2,ty2) defining what sub-region of a `CoglTexture` this low-level `sub_texture` maps too. (tx1,ty1) is the top-left sub-region coordinate and (tx2,ty2) is the bottom-right. These are high-level meta-texture coordinates.

  The data is owned by the caller of the function.

`user_data`

  Type: `void*`

  A private pointer passed to cogl_texture_foreach_in_region().

  The argument can be `NULL`.
  The data is owned by the caller of the function.